Name:         qps
License:      GPL
Group:        Monitoring
Version:      1.9.20
Release:      %mkrel 1
Source:       %{name}-%{version}.tar.bz2
URL:          http://qps.kldp.net
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Visual process status monitor

%description
qps is an X11 version of top or ps, with motif- or windows-like
interface.

%prep
%setup -D -q

%build

qmake
make LDPATHS="-L$QTDIR/%_lib"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin/  $RPM_BUILD_ROOT/%{_mandir}/man1/
install -s qps $RPM_BUILD_ROOT/usr/bin/qps
install -m 644 qps.1 $RPM_BUILD_ROOT/%{_mandir}/man1/qps.1


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=qps
Comment=%{Summary}
Exec=%{_bindir}/%{name} 
Icon=monitoring_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Terminals;
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{update_desktop_database}

%postun
%{clean_desktop_database}


%files
%defattr(-, root, root)
%doc CHANGES README_INSTALL COPYING
%doc %{_mandir}/*/*
%_bindir/qps
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Sep 05 2007 Texstar <texstar@gmail.com> 1.9.20-1pclos2007
- import into pclos2007 from hz original specifle from suse
- add menu
- add post scripts
